/* MesaComp installation program */

  Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
  Call SysLoadFuncs

  Parse Arg InstallDir
  Signal On Halt Name ErrorHandler

  Say " "
  Say " "
  Say " "
  Say " Mesa Workbook Compactor Installation"

  If InstallDir=" " Then Do
    Say
    Say " Please specify the name of the subdirectory to"
    Say " which you would like to install the Mesa"
    Say " Workbook Compactor.  (The directory in which"
    Say " the Mesa application is installed is the "
    Say " recommended place to put it)"
    Say ""
    Say " Hit <ENTER> to use the current directory, or type"
    Say " 'Q'<ENTER> to quit."
    Say " "
    Say " For Example:  C:\Mesa2<ENTER>"
    Say " "
    Say " Directory to install to:"

    Parse Value SysCurPos() with Row Col
    Col=Col+26
    Row=Row-1
    Call SysCurPos Row, Col
    Pull InstallDir
    If (InstallDir="Q")|(InstallDir="q") Then Exit
  End

  If InstallDir=" " Then InstallDir=directory()
  Else Do

    Call SysFileTree InstallDir, FileDirectory, 'D'

    If FileDirectory.0='0' Then Do
      Say
      Say " Now creating directory "InstallDir" . . ."
      rc=SysMkDir(InstallDir)
      If rc\=0 Then Do
        Say " "
        Say " Error creating directory "InstallDir" . . ."
        Say " You may have specified an invalid directory name."
        Say " Rerun install to try again."
        Exit
      End
    End

    Say " "
    Say " Now copying files . . ."
    Call FileCopy 'MESACOMP.EXE', InstallDir
    Call FileCopy 'MESACOMP.HLP', InstallDir
   End


  Say " "
  Say " Now creating WPS program object . . ."  /* Now create the Desktop object*/
  SetupString="EXENAME="InstallDir"\MesaComp.EXE;STARTUPDIR="InstallDir

  rc=SysCreateObject("WPProgram","Mesa Workbook Compactor","<WP_DESKTOP>",SetupString)
  If rc=0 Then Do
    Say
    Say " Sorry, couldn't create the Mesa Workbook Compactor program object."
    Say " You may already have a Mesa Workbook Compactor program object on"
    Say " your Desktop.  Delete this object and rerun install. "
    Exit
  End

  Say
  Say " Mesa Workbook Compactor for OS/2 successfully installed."

  Exit


/******* FileCopy procedure */
  FileCopy: Arg FileName, Destination

    Command='@Copy 'FileName' 'Destination' >NUL'
    Command
    Return


/******* ErrorHandler procedure */

  ErrorHandler:
    Call SysCls
    Say "Unknown error - aborting installation . . ."
    Say "Contact the mesa@sundialsystems.com with details please."
  Exit

